Library Version 18.1.40

DB_ENV->get_data_len()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_data_len()

    #include <db.h>

    int
    DB_ENV->get_data_len(DB_ENV *dbenv, u_int32_t *bytes);

The `DB_ENV->get_data_len()` method returns the maximum number of bytes to display for each key/data item when dumping the database or printing the log. This limit can be set using the DB_ENV->set_data_len() method.

The `DB_ENV->get_data_len()` method may be called at any time during the life of the application.

The `DB_ENV->get_data_len()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### bytes

The `bytes` parameter references memory into which is copied the maximum number of bytes to display when dumping the database or printing the log.

### Class

DB_ENV

### See Also

Database Environments and Related Methods

Prev | Up | Next
DB_ENV->get_data_dirs() | Home | DB_ENV->get_encrypt_flags()